Menu

Toon bijdragen

Deze sectie stelt je in staat om alle bijdragen van dit lid te bekijken. Je kunt alleen de bijdragen zien waar je op dit moment toegang toe hebt.

Toon bijdragen Menu

Berichten - gery

#556
Persoonlijk zou ik eerst proberen om in elke tekening de Amerikaanse lijntypes te vervangen door de Europese zoals ik hiervoor reeds aanhaalde, dat kan zelfs met een simpele script die achter een menu-item of achter een button zit. Daardoor zit je direct op dezelfde scale voor de lijnen die je zelf tekent én voor de lijnen die Mechanical tekent.
#557
Als je de standaard lijntypes uit acad.lin gebruikt hebt (en dus geen zelf-gedefinieerde types), kan je gewoon deze laden uit acadiso.lin en de bestaande zodoende overschrijven.

Ik gebruik daarvoor volgende script achter een button:

(setvar "expert" 3)
(command "_.-linetype" "_Load" "*" "acadiso.lin" "")
(setvar "expert" 0)
(command "_.-purge" "_ltypes" "*" "_no")
(command "_.regenall")

Hiermee worden àlle gebruikte lijntypes vervangen door de Europese versies.
#558
Als ik het zo allemaal lees, gebruikt u voor de "normale" lijnen die u tekent een ander lijntypebestand dan "Mechanical" doet. Ik krijg de dwg's niet open in AutoCAD 2012, dus ik kan niet bepalen hoe het nu precies zit, maar Bart en roy_043 kunnen dat wel.
#559
Citaat van: Jon Tampon op wo 06 04 2016, 13:58:43Wanneer ik deze op 1 zet komt de groene beter gestreept door, maar dan is de paarse lijn weer niet goed.
Die paarse lijn hebt u gewoon getekend met het commando "line"? Welk lijntype is dat? Is dit lijntype geladen vanuit het Europees lijntypebestand?
De groene en de paarse lijn hebben hetzelfde lijntype?

Kan je de dwg uit je allereerste afbeelding hier uploaden, gesaved in 2010 formaat aub?
#560
Is het uiteindelijke symbool in de tekning een block?
#561
Citaat van: Jon Tampon op do 07 04 2016, 16:13:41Staat jullie LTSCALE altijd op 1 ?
Ja
#562
Citaat van: Jon Tampon op do 07 04 2016, 15:51:54
Je bedoelt toch?
paarse lijn --> object = line : linetype scale = 1
groene lijn --> object welding: linetype scale = 1
object "welding" is een block?
#563
Staan alle object scales op 1?
#564
Bedankt Eddy!

'k heb ondertussen 2 "oplossingen":

1. met LISP code:

(setq #OldEntData (entget (ssname (ssget "x" '((-4 . "<or") (2 . "1001") (-4 . "or>"))) 0)))
(setq #OldPrompt (assoc 3 #OldEntData))
(setq #NewPrompt (cons 3 "Component nr."))
(setq #NewEntData (subst #NewPrompt #OldPrompt #OldEntData))
(entmod #NewEntData)

2. met LISP en VLISP code:

(vla-put-PromptString (vlax-ename->vla-object (ssname (ssget "x" '((-4 . "<or") (2 . "1001") (-4 . "or>"))) 0)) "Component nr.")
#565
Ik heb honderden externe blocks (*.dwg) die alle eenzelfde "attribute definition" hebben, dus met eenzelfde "tag", nl. tag "1001". Echter, de "prompts" van die "attribute definitions" zijn leeg. (zie bijlage 1)

Ik zoek nu een manier (LISP) om die "prompts" in al deze blocks automatisch in te vullen met eenzelfde tekst, nl. "Component nr." (zie bijlage 2)

Heeft iemand een kant en klare oplossing, of een aanzet in de goede richting?

#566
AutoCAD probleem / Re: snap to base point text
wo 16 03 2016, 18:51:11
Citaat van: jimpie op di 15 03 2016, 16:19:19
van buiten gezegd denk ik NODE (geen acad in de buurt nu) vinkje aanzetten bij je snap opties.
Daarvoor gebruik ik INSERTION.
#567
PICKFIRST is het zeer zeker niet.
#568
forum / Re: lijst "actieve onderwerpen"
ma 28 12 2015, 23:54:06
Dat is het inderdaad, maar je moet dan wel eerst inloggen, en dat vind ik een nadeel.
'k Heb wel effe moeten zoeken want dat scherm verscheen niet automatisch.

Bedankt.
#569
forum / lijst "actieve onderwerpen"
zo 27 12 2015, 19:06:13
Is er een mogelijkheid om een lijst van "actieve onderwerpen", op datum en aflopend gesorteerd, op te roepen zonder in te loggen, of eventueel na inloggen?
Ongeveer naar analogie met bijlage.
#570
AutoCAD probleem / Re: tekening uitprinten
do 24 12 2015, 12:10:02
Citaat van: bart op wo 23 12 2015, 14:22:45Door de viewport  waardoor je naar het model kijkt in de layout kleiner te maken
Ah, nu zie ik het pas wat je bedoelt. Ik had de vraag van TS anders begrepen.

Als de plattegronden van de verdiepingen "onder" elkaar staan (zoals in "naast" elkaar), dan moet TS in de viewport de juiste afdruk kiezen met pan en zoom.